#version 430 core
layout (location = 0) in vec3 aPos;

out vec4 ParticleColor;

layout (location = 1) uniform mat4 model; // the model matrix
layout(location = 2) uniform mat4 view; // the view matrix
uniform mat4 projection; // the projection matrix
uniform vec3 offset;
uniform vec4 color;

void main()
{
    ParticleColor = color;
    vec4 position_world = model * vec4(aPos, 1.0);
    gl_Position = projection * view * position_world;
}